Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#1897 closed defect (fixed)

EDF scheduler: sptests

Reported by: Petr Benes Owned by: Joel Sherrill
Priority: normal Milestone: 4.11
Component: unspecified Version: 4.11
Severity: normal Keywords:
Cc: gedare@… Blocked By:
Blocking:

Description

This patch includes three sptests by Gedare. They all should work.

First test is a simple ticker for EDF.

Second one tests periodic behavior using Rate Monotonic manager.

Third one, which I have simplified a little while keeping the same sense, tests 6 concurrently running tasks. Some of them are deadline driven (or periodic using RM), some of them are background tasks (or aperiodic). Total utilization of deadline driven tasks is > 90%.

2011-08-11 Petr Benes <benesp16@…>

  • Makefile.am, configure.ac, spedfsched01/Makefile.am, spedfsched01/init.c,

spedfsched01/spedfsched01.doc, spedfsched01/spedfsched01.scn,
spedfsched01/system.h, spedfsched01/task1.c, spedfsched02/Makefile.am,
spedfsched02/getall.c, spedfsched02/init.c, spedfsched02/spedfsched02.doc,
spedfsched02/spedfsched02.scn, spedfsched02/system.h, spedfsched02/task1.c,
spedfsched03/Makefile.am, spedfsched03/edfparams.h, spedfsched03/init.c,
spedfsched03/spedfsched03.doc, spedfsched03/spedfsched03.scn,
spedfsched03/system.h, spedfsched03/tasks_aperiodic.c,
spedfsched03/tasks_periodic.c: EDF scheduler tests

Attachments (1)

edf_scheduler_tests.diff (38.9 KB) - added by Petr Benes on 08/11/11 at 14:19:12.
EDF scheduler tests

Download all attachments as: .zip

Change History (5)

Changed on 08/11/11 at 14:19:12 by Petr Benes

Attachment: edf_scheduler_tests.diff added

EDF scheduler tests

comment:1 Changed on 04/16/12 at 02:00:40 by Gedare Bloom

Resolution: fixed
Status: newclosed

comment:2 Changed on 04/16/12 at 02:03:28 by Gedare Bloom

Closed.

comment:3 Changed on 11/24/14 at 18:58:28 by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

comment:4 Changed on 10/10/17 at 06:46:55 by Sebastian Huber

Component: testingunspecified
Note: See TracTickets for help on using tickets.